<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: PlotWindow Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-slots">Private Slots</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_plot_window-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">PlotWindow Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="plotwindow_8h_source.html">plotwindow.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for PlotWindow:</div>
<div class="dyncontent">
<div class="center"><img src="class_plot_window__inherit__graph.png" border="0" usemap="#a_plot_window_inherit__map" alt="Inheritance graph"/></div>
<map name="a_plot_window_inherit__map" id="a_plot_window_inherit__map">
<area shape="rect" title=" " alt="" coords="5,123,229,597"/>
<area shape="rect" title=" " alt="" coords="69,5,166,75"/>
<area shape="poly" title=" " alt="" coords="120,89,120,123,115,123,115,89"/>
</map>
</div>
<div class="dynheader">
Collaboration diagram for PlotWindow:</div>
<div class="dyncontent">
<div class="center"><img src="class_plot_window__coll__graph.png" border="0" usemap="#a_plot_window_coll__map" alt="Collaboration graph"/></div>
<map name="a_plot_window_coll__map" id="a_plot_window_coll__map">
<area shape="rect" title=" " alt="" coords="5,331,229,784"/>
<area shape="rect" title=" " alt="" coords="9,101,106,171"/>
<area shape="poly" title=" " alt="" coords="67,185,88,331,82,331,62,186"/>
<area shape="rect" href="class_data_frame.html" title=" " alt="" coords="131,5,227,267"/>
<area shape="poly" title=" " alt="" coords="162,267,155,314,150,314,157,266"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-slots" name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:ace1a10709fd06efb2111fb8041239047" id="r_ace1a10709fd06efb2111fb8041239047"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ace1a10709fd06efb2111fb8041239047">on_cbGraph_currentTextChanged</a> (const QString &amp;arg1)</td></tr>
<tr class="separator:ace1a10709fd06efb2111fb8041239047"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79c8dbe9d0f08243c762f598511de109" id="r_a79c8dbe9d0f08243c762f598511de109"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a79c8dbe9d0f08243c762f598511de109">drawDummie</a> (const QString &amp;arg1)</td></tr>
<tr class="separator:a79c8dbe9d0f08243c762f598511de109"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0f63f051eaf790530d5bd6e9b8288f1" id="r_aa0f63f051eaf790530d5bd6e9b8288f1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa0f63f051eaf790530d5bd6e9b8288f1">drawGraph</a> (const QString &amp;arg1)</td></tr>
<tr class="separator:aa0f63f051eaf790530d5bd6e9b8288f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca1b321f98e93bdd2e6ebbc0d6a5adb9" id="r_aca1b321f98e93bdd2e6ebbc0d6a5adb9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aca1b321f98e93bdd2e6ebbc0d6a5adb9">on_btnMakePlot_clicked</a> ()</td></tr>
<tr class="separator:aca1b321f98e93bdd2e6ebbc0d6a5adb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb894dfd3ef59e231f2728bc683145a4" id="r_acb894dfd3ef59e231f2728bc683145a4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#acb894dfd3ef59e231f2728bc683145a4">refreshColor</a> (const QColor &amp;color)</td></tr>
<tr class="separator:acb894dfd3ef59e231f2728bc683145a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a505b0c982ab88ce356a63f6b935180ce" id="r_a505b0c982ab88ce356a63f6b935180ce"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a505b0c982ab88ce356a63f6b935180ce">PlotWindow</a> (QWidget *parent=nullptr, QLayout *_parentLayout=nullptr)</td></tr>
<tr class="separator:a505b0c982ab88ce356a63f6b935180ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a684ea087a646cbe658940098a25ce150" id="r_a684ea087a646cbe658940098a25ce150"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a684ea087a646cbe658940098a25ce150">~PlotWindow</a> ()</td></tr>
<tr class="separator:a684ea087a646cbe658940098a25ce150"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a85d426a0ea78a7720af5f3b72eabd6a2" id="r_a85d426a0ea78a7720af5f3b72eabd6a2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_data_frame.html">DataFrame</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a85d426a0ea78a7720af5f3b72eabd6a2">data</a></td></tr>
<tr class="separator:a85d426a0ea78a7720af5f3b72eabd6a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-slots" name="pri-slots"></a>
Private Slots</h2></td></tr>
<tr class="memitem:aea2b9b0dcd0841cf745e71f93eaa2650" id="r_aea2b9b0dcd0841cf745e71f93eaa2650"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aea2b9b0dcd0841cf745e71f93eaa2650">on_btnColor_clicked</a> ()</td></tr>
<tr class="separator:aea2b9b0dcd0841cf745e71f93eaa2650"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a89ef46ed04b24618121d5e68bbb2f572" id="r_a89ef46ed04b24618121d5e68bbb2f572"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a89ef46ed04b24618121d5e68bbb2f572">setupNum</a> ()</td></tr>
<tr class="separator:a89ef46ed04b24618121d5e68bbb2f572"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f87b646fe4e735019d41ab44bdc0897" id="r_a2f87b646fe4e735019d41ab44bdc0897"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a2f87b646fe4e735019d41ab44bdc0897">setupCat</a> ()</td></tr>
<tr class="separator:a2f87b646fe4e735019d41ab44bdc0897"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5c3563dfa0be43a17e2f67d6752cce2" id="r_ac5c3563dfa0be43a17e2f67d6752cce2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac5c3563dfa0be43a17e2f67d6752cce2">setupOne</a> ()</td></tr>
<tr class="separator:ac5c3563dfa0be43a17e2f67d6752cce2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8049da626f3dc6f9f2edd6047ab43e2c" id="r_a8049da626f3dc6f9f2edd6047ab43e2c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8049da626f3dc6f9f2edd6047ab43e2c">setupTwo</a> ()</td></tr>
<tr class="separator:a8049da626f3dc6f9f2edd6047ab43e2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad17318a7c7d82ae8596320fdee20bcd" id="r_aad17318a7c7d82ae8596320fdee20bcd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aad17318a7c7d82ae8596320fdee20bcd">setupHideAll</a> ()</td></tr>
<tr class="separator:aad17318a7c7d82ae8596320fdee20bcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5923c97c5f526c987e64645fc5c0b60" id="r_ad5923c97c5f526c987e64645fc5c0b60"><td class="memItemLeft" align="right" valign="top">QChart *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ad5923c97c5f526c987e64645fc5c0b60">getChartFromConfig</a> ()</td></tr>
<tr class="separator:ad5923c97c5f526c987e64645fc5c0b60"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ab8c045d2794c93656d86147e8f213423" id="r_ab8c045d2794c93656d86147e8f213423"><td class="memItemLeft" align="right" valign="top">Ui::PlotWindow *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ab8c045d2794c93656d86147e8f213423">ui</a></td></tr>
<tr class="separator:ab8c045d2794c93656d86147e8f213423"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa796b6bd9d264abfebc6e4dea5dab12a" id="r_aa796b6bd9d264abfebc6e4dea5dab12a"><td class="memItemLeft" align="right" valign="top">QComboBox *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa796b6bd9d264abfebc6e4dea5dab12a">_cbSender</a></td></tr>
<tr class="separator:aa796b6bd9d264abfebc6e4dea5dab12a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4243d7b5cfbba332cdcb4742d93f4786" id="r_a4243d7b5cfbba332cdcb4742d93f4786"><td class="memItemLeft" align="right" valign="top">QLayout *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a4243d7b5cfbba332cdcb4742d93f4786">_parrentLayout</a></td></tr>
<tr class="separator:a4243d7b5cfbba332cdcb4742d93f4786"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a100e2f1fb6e68394e58c7a0c2e9d4939" id="r_a100e2f1fb6e68394e58c7a0c2e9d4939"><td class="memItemLeft" align="right" valign="top">QChartView *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a100e2f1fb6e68394e58c7a0c2e9d4939">_graph</a></td></tr>
<tr class="separator:a100e2f1fb6e68394e58c7a0c2e9d4939"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9be24d5f41e72571c54f21ade05dddb7" id="r_a9be24d5f41e72571c54f21ade05dddb7"><td class="memItemLeft" align="right" valign="top">QColorDialog *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a9be24d5f41e72571c54f21ade05dddb7">currentChartColor</a></td></tr>
<tr class="separator:a9be24d5f41e72571c54f21ade05dddb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86482ce971444422973ee4ec6c5d4fc6" id="r_a86482ce971444422973ee4ec6c5d4fc6"><td class="memItemLeft" align="right" valign="top">QWidget *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a86482ce971444422973ee4ec6c5d4fc6">_targetParent</a></td></tr>
<tr class="separator:a86482ce971444422973ee4ec6c5d4fc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a505b0c982ab88ce356a63f6b935180ce" name="a505b0c982ab88ce356a63f6b935180ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a505b0c982ab88ce356a63f6b935180ce">&#9670;&#160;</a></span>PlotWindow()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PlotWindow::PlotWindow </td>
          <td>(</td>
          <td class="paramtype">QWidget *</td>          <td class="paramname"><span class="paramname"><em>parent</em><span class="paramdefsep"> = </span><span class="paramdefval">nullptr</span>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QLayout *</td>          <td class="paramname"><span class="paramname"><em>_parentLayout</em><span class="paramdefsep"> = </span><span class="paramdefval">nullptr</span></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a684ea087a646cbe658940098a25ce150" name="a684ea087a646cbe658940098a25ce150"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a684ea087a646cbe658940098a25ce150">&#9670;&#160;</a></span>~PlotWindow()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PlotWindow::~PlotWindow </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a79c8dbe9d0f08243c762f598511de109" name="a79c8dbe9d0f08243c762f598511de109"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79c8dbe9d0f08243c762f598511de109">&#9670;&#160;</a></span>drawDummie</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PlotWindow::drawDummie </td>
          <td>(</td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>arg1</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa0f63f051eaf790530d5bd6e9b8288f1" name="aa0f63f051eaf790530d5bd6e9b8288f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0f63f051eaf790530d5bd6e9b8288f1">&#9670;&#160;</a></span>drawGraph</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PlotWindow::drawGraph </td>
          <td>(</td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>arg1</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad5923c97c5f526c987e64645fc5c0b60" name="ad5923c97c5f526c987e64645fc5c0b60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5923c97c5f526c987e64645fc5c0b60">&#9670;&#160;</a></span>getChartFromConfig()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QChart * PlotWindow::getChartFromConfig </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aea2b9b0dcd0841cf745e71f93eaa2650" name="aea2b9b0dcd0841cf745e71f93eaa2650"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea2b9b0dcd0841cf745e71f93eaa2650">&#9670;&#160;</a></span>on_btnColor_clicked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PlotWindow::on_btnColor_clicked </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aca1b321f98e93bdd2e6ebbc0d6a5adb9" name="aca1b321f98e93bdd2e6ebbc0d6a5adb9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca1b321f98e93bdd2e6ebbc0d6a5adb9">&#9670;&#160;</a></span>on_btnMakePlot_clicked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PlotWindow::on_btnMakePlot_clicked </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ace1a10709fd06efb2111fb8041239047" name="ace1a10709fd06efb2111fb8041239047"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace1a10709fd06efb2111fb8041239047">&#9670;&#160;</a></span>on_cbGraph_currentTextChanged</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PlotWindow::on_cbGraph_currentTextChanged </td>
          <td>(</td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>arg1</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acb894dfd3ef59e231f2728bc683145a4" name="acb894dfd3ef59e231f2728bc683145a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb894dfd3ef59e231f2728bc683145a4">&#9670;&#160;</a></span>refreshColor</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PlotWindow::refreshColor </td>
          <td>(</td>
          <td class="paramtype">const QColor &amp;</td>          <td class="paramname"><span class="paramname"><em>color</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2f87b646fe4e735019d41ab44bdc0897" name="a2f87b646fe4e735019d41ab44bdc0897"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f87b646fe4e735019d41ab44bdc0897">&#9670;&#160;</a></span>setupCat()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PlotWindow::setupCat </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aad17318a7c7d82ae8596320fdee20bcd" name="aad17318a7c7d82ae8596320fdee20bcd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad17318a7c7d82ae8596320fdee20bcd">&#9670;&#160;</a></span>setupHideAll()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PlotWindow::setupHideAll </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a89ef46ed04b24618121d5e68bbb2f572" name="a89ef46ed04b24618121d5e68bbb2f572"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89ef46ed04b24618121d5e68bbb2f572">&#9670;&#160;</a></span>setupNum()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PlotWindow::setupNum </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac5c3563dfa0be43a17e2f67d6752cce2" name="ac5c3563dfa0be43a17e2f67d6752cce2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5c3563dfa0be43a17e2f67d6752cce2">&#9670;&#160;</a></span>setupOne()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PlotWindow::setupOne </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8049da626f3dc6f9f2edd6047ab43e2c" name="a8049da626f3dc6f9f2edd6047ab43e2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8049da626f3dc6f9f2edd6047ab43e2c">&#9670;&#160;</a></span>setupTwo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PlotWindow::setupTwo </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aa796b6bd9d264abfebc6e4dea5dab12a" name="aa796b6bd9d264abfebc6e4dea5dab12a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa796b6bd9d264abfebc6e4dea5dab12a">&#9670;&#160;</a></span>_cbSender</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QComboBox* PlotWindow::_cbSender</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a100e2f1fb6e68394e58c7a0c2e9d4939" name="a100e2f1fb6e68394e58c7a0c2e9d4939"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a100e2f1fb6e68394e58c7a0c2e9d4939">&#9670;&#160;</a></span>_graph</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QChartView* PlotWindow::_graph</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4243d7b5cfbba332cdcb4742d93f4786" name="a4243d7b5cfbba332cdcb4742d93f4786"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4243d7b5cfbba332cdcb4742d93f4786">&#9670;&#160;</a></span>_parrentLayout</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QLayout* PlotWindow::_parrentLayout</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a86482ce971444422973ee4ec6c5d4fc6" name="a86482ce971444422973ee4ec6c5d4fc6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86482ce971444422973ee4ec6c5d4fc6">&#9670;&#160;</a></span>_targetParent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QWidget* PlotWindow::_targetParent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9be24d5f41e72571c54f21ade05dddb7" name="a9be24d5f41e72571c54f21ade05dddb7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9be24d5f41e72571c54f21ade05dddb7">&#9670;&#160;</a></span>currentChartColor</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QColorDialog* PlotWindow::currentChartColor</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a85d426a0ea78a7720af5f3b72eabd6a2" name="a85d426a0ea78a7720af5f3b72eabd6a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85d426a0ea78a7720af5f3b72eabd6a2">&#9670;&#160;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_data_frame.html">DataFrame</a> PlotWindow::data</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab8c045d2794c93656d86147e8f213423" name="ab8c045d2794c93656d86147e8f213423"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8c045d2794c93656d86147e8f213423">&#9670;&#160;</a></span>ui</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Ui::PlotWindow* PlotWindow::ui</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>alatZaAnalitiku/src/<a class="el" href="plotwindow_8h_source.html">plotwindow.h</a></li>
<li>alatZaAnalitiku/src/<a class="el" href="plotwindow_8cpp.html">plotwindow.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
